%define upstream_name    Lingua-EN-Fathom
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Measure readability of English text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::EN::Sentence) >= 0.280.0
BuildRequires: perl(Lingua::EN::Syllable) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Pod) >= 1.40.0
BuildRequires: perl(locale) >= 1.0.0
BuildRequires: perl(strict) >= 1.40.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module analyses English text in either a string or file. Totals are
then calculated for the number of characters, words, sentences, blank and
non blank (text) lines and paragraphs.

Three common readability statistics are also derived, the Fog, Flesch and
Kincaid indices.

All of these properties can be accessed through individual methods, or by
generating a text report.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.220.0-3.mga9
+ Revision: 1811341
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.220.0-2.mga8
+ Revision: 1522644
- Mageia 8 Mass Rebuild

* Tue Feb 05 2019 tv <tv> 1.220.0-1.mga7
+ Revision: 1363345
- update to 1.22

* Thu Sep 20 2018 umeabot <umeabot> 1.190.0-3.mga7
+ Revision: 1284497
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.190.0-2.mga7
+ Revision: 1165170
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 1.190.0-1.mga7
+ Revision: 1141359
- update to 1.19

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-2.mga6
+ Revision: 1029141
- Rebuild for perl 5.22.2

* Fri Jun 05 2015 bcornec <bcornec> 1.180.0-1.mga6
+ Revision: 822928
- imported package perl-Lingua-EN-Fathom


* Fri Jun 05 2015 cpan2dist 1.18-1mga
- initial mageia release, generated with cpan2dist
